// PersonHomeRemote.java

package org.objectweb.jonas.jtests.beans.relation.rcycle;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;


/**
 * Remote home interface for the bean Person
 * @author Helene Joanin
 */
public interface PersonHomeRemote extends EJBHome {

    PersonRemote create(Integer id, String name, int sex) throws CreateException, RemoteException;

    PersonRemote findByPrimaryKey(java.lang.Integer id) throws FinderException, RemoteException;

    Collection findAll() throws FinderException, RemoteException;
    Collection findQuery1() throws FinderException, RemoteException;
    PersonRemote findSpouse3() throws FinderException, RemoteException;
    Collection findQuery2() throws FinderException, RemoteException;

}
